## rust-pwtool 0.9.3

=== Makefile ===
# vim:set noet:
NAME := pwtool
DOC := $(NAME)
VERSION := $(shell grep ^version Cargo.toml | sed -e 's/.* = "//g;s/"$$//g' )
MDDATE := $(shell find $(NAME).md -printf "%Td %TB %TY\n" )
RELEASE := ./target/release/$(NAME)

all: build test bintest doc

build:
	cargo build --release

doc:
	( cat $(DOC).md | sed -e 's/^footer: .*$$/footer: $(NAME) $(VERSION)/g' -e 's/^date:.*/date: $(MDDATE)/g' ) > $(DOC).md.tmp && mv $(DOC).md.tmp $(DOC).md
	cat $(DOC).md | sed -e 's,\([^ `-]\)--\([a-zA-Z]\),\1\\--\2,g' -e '/^|/s/\\n/\\\\n/g' -e '/^|/s/\\t/\\\\t/g' > $(DOC).man.md
	pandoc --standalone --ascii --to man $(DOC).man.md -o $(DOC).1
	rm $(DOC).man.md

test:
	cargo test

bintest:

install: all
	command -v please && please install -m 0755 -s $(RELEASE) /usr/local/bin || sudo install -m 0755 -s $(RELEASE) /usr/local/bin

=== debian/changelog ===
rust-pwtool (0.9.3-1) unstable; urgency=medium

  * Closes: #1111220
  * Team upload.
  * Package pwtool 0.9.3 from crates.io using debcargo 2.7.8

 -- Ed Neville <ed-debian@s5h.net>  Fri, 29 Aug 2025 19:47:17 +0200

=== debian/control ===
Source: rust-pwtool
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-base32-0.5+default-dev,
 librust-base64-0.22+default-dev,
 librust-getopts-0.2+default-dev,
 librust-hex-0.4+default-dev,
 librust-hmac-0.12+default-dev,
 librust-md5-0.7+default-dev,
 librust-pbkdf2-0.12+default-dev,
 librust-pwhash-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-sha1-0.10+default-dev,
 librust-sha2-0.10+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ed Neville <ed-debian@s5h.net>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/pwtool]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/pwtool
Homepage: https://www.usenix.org.uk/content/pwtool.html
X-Cargo-Crate: pwtool
Rules-Requires-Root: no

Package: librust-pwtool-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-base32-0.5+default-dev,
 librust-base64-0.22+default-dev,
 librust-getopts-0.2+default-dev,
 librust-hex-0.4+default-dev,
 librust-hmac-0.12+default-dev,
 librust-md5-0.7+default-dev,
 librust-pbkdf2-0.12+default-dev,
 librust-pwhash-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-sha1-0.10+default-dev,
 librust-sha2-0.10+default-dev
Provides:
 librust-pwtool+default-dev (= ${binary:Version}),
 librust-pwtool-0-dev (= ${binary:Version}),
 librust-pwtool-0+default-dev (= ${binary:Version}),
 librust-pwtool-0.9-dev (= ${binary:Version}),
 librust-pwtool-0.9+default-dev (= ${binary:Version}),
 librust-pwtool-0.9.3-dev (= ${binary:Version}),
 librust-pwtool-0.9.3+default-dev (= ${binary:Version})
Description: User account password tool - Rust source code
 Source code for Debianized Rust crate "pwtool"

Package: pwtool
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: generate copy/paste friendly user/DB passwords and TOTP tool
 Generate passwords from random characters or words and optionally show their
 cryptographic hash.
 .
 The default generated password set is copy/paste friendly without extended
 characters that would break the default copy selection you get when
 double-clicking a word. They also are don't break quotation strings (quote
 marks, double quotes or backticks).
 .
 Allows for easy database or system account creation.
 .
 Can run as a TOTP MFA CLI app.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test pwtool 0.9.3 --all-targets --all-features
Features: test-name=rust-pwtool:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pwtool 0.9.3 --all-targets
Features: test-name=librust-pwtool-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test pwtool 0.9.3 --all-targets --no-default-features
Features: test-name=librust-pwtool-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/pwtool-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/pwtool .*/crates/pwtool/@ANY_VERSION@/download
